Bug 1123943 - [abrt] gnucash: dbi_shutdown_r(): gnucash killed by SIGSEGV
Summary: [abrt] gnucash: dbi_shutdown_r(): gnucash killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d082a0239fc04e5dd5a14fefa6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 17:14 UTC by Matteo Settenvini
Modified: 2015-01-28 21:40 UTC (History)
3 users (show)

Fixed In Version: gnucash-2.6.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-12 05:04:40 UTC


Attachments (Terms of Use)
File: backtrace (51.33 KB, text/plain)
2014-07-28 17:14 UTC, Matteo Settenvini
no flags Details
File: build_ids (9.01 KB, text/plain)
2014-07-28 17:14 UTC, Matteo Settenvini
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-28 17:14 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (12.80 KB, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: dso_list (30.05 KB, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: environ (1.08 KB, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: exploitable (93 bytes, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: maps (141.33 KB, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: open_fds (135 bytes, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details
File: var_log_messages (369 bytes, text/plain)
2014-07-28 17:15 UTC, Matteo Settenvini
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 728717 None None None Never

Description Matteo Settenvini 2014-07-28 17:14:54 UTC
Description of problem:
It happens each and every time after I close gnucash. Insofar, I have seen no data loss.
I load the .gnucash file from a remote mount through gvfs-fuse; I don't know if this might be related to the problem or not.

Version-Release number of selected component:
gnucash-2.6.3-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnucash /run/user/1000/gvfs/sftp:host=HOSTNAME-HIDDEN.eu,user=matteo/home/matteo/buchhaltung/Buchhaltung.gnucash
crash_function: dbi_shutdown_r
executable:     /usr/bin/gnucash
kernel:         3.16.0-0.rc5.git0.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dbi_shutdown_r at dbi_main.c:259
 #1 qof_finalize_backend_libraries at qofbackend.c:266
 #2 qof_close at qofutil.c:278
 #3 gnc_engine_shutdown at gnc-engine.c:163
 #4 gnc_shutdown at gnc-gnome-utils.c:781
 #5 invoke_main_func at init.c:336
 #6 c_body at continuations.c:517
 #7 vm_regular_engine at vm-i-system.c:858
 #8 scm_call_4 at eval.c:507
 #9 scm_catch_with_pre_unwind_handler at throw.c:73

Comment 1 Matteo Settenvini 2014-07-28 17:14:57 UTC
Created attachment 921849 [details]
File: backtrace

Comment 2 Matteo Settenvini 2014-07-28 17:14:58 UTC
Created attachment 921850 [details]
File: build_ids

Comment 3 Matteo Settenvini 2014-07-28 17:14:59 UTC
Created attachment 921851 [details]
File: cgroup

Comment 4 Matteo Settenvini 2014-07-28 17:15:01 UTC
Created attachment 921852 [details]
File: core_backtrace

Comment 5 Matteo Settenvini 2014-07-28 17:15:02 UTC
Created attachment 921853 [details]
File: dso_list

Comment 6 Matteo Settenvini 2014-07-28 17:15:03 UTC
Created attachment 921854 [details]
File: environ

Comment 7 Matteo Settenvini 2014-07-28 17:15:04 UTC
Created attachment 921855 [details]
File: exploitable

Comment 8 Matteo Settenvini 2014-07-28 17:15:05 UTC
Created attachment 921856 [details]
File: limits

Comment 9 Matteo Settenvini 2014-07-28 17:15:07 UTC
Created attachment 921857 [details]
File: maps

Comment 10 Matteo Settenvini 2014-07-28 17:15:08 UTC
Created attachment 921858 [details]
File: open_fds

Comment 11 Matteo Settenvini 2014-07-28 17:15:09 UTC
Created attachment 921859 [details]
File: proc_pid_status

Comment 12 Matteo Settenvini 2014-07-28 17:15:10 UTC
Created attachment 921860 [details]
File: var_log_messages

Comment 13 Dr. David Alan Gilbert 2014-09-28 18:46:44 UTC
Easily repeats for me; this is a regression from the f20 version.

Upstream comment #24 is saying it's fixed there - can we have it please rather than have the regression.

Comment 14 Fedora Update System 2014-10-01 15:28:57 UTC
gnucash-2.6.4-1.fc20, gnucash-docs-2.6.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnucash-2.6.4-1.fc20,gnucash-docs-2.6.4-1.fc20

Comment 15 Fedora Update System 2014-10-01 15:30:09 UTC
gnucash-2.6.4-1.el7,gnucash-docs-2.6.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gnucash-2.6.4-1.el7,gnucash-docs-2.6.4-1.el7

Comment 16 Fedora Update System 2014-10-01 15:31:31 UTC
gnucash-2.6.4-1.fc21,gnucash-docs-2.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnucash-2.6.4-1.fc21,gnucash-docs-2.6.4-1.fc21

Comment 17 Fedora Update System 2014-10-03 04:00:44 UTC
Package gnucash-2.6.4-1.fc20, gnucash-docs-2.6.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnucash-2.6.4-1.fc20 gnucash-docs-2.6.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11990/gnucash-2.6.4-1.fc20,gnucash-docs-2.6.4-1.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-10-12 05:01:28 UTC
gnucash-2.6.4-1.fc21, gnucash-docs-2.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-10-12 05:04:40 UTC
gnucash-2.6.4-1.fc20, gnucash-docs-2.6.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-01-13 15:19:12 UTC
gnucash-2.6.5-1.el7, gnucash-docs-2.6.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0195/gnucash-docs-2.6.5-1.el7,gnucash-2.6.5-1.el7

Comment 21 Fedora Update System 2015-01-28 21:40:19 UTC
gnucash-2.6.5-1.el7, gnucash-docs-2.6.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.